Đến nội dung


Hình ảnh

nhờ các bác viết cho em auto lisp nối các đường line rời rạc thành pline


  • Please log in to reply
9 replies to this topic

#1 archuyhoang

archuyhoang

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 04 November 2014 - 04:55 PM

http://www.cadviet.c...128771_nn_1.lsp
trên đây là li sp gốc
em đã đã có được autolip nối line thành pline . nhưng nó nối lung tung  không theo ý mình 
em muốn nối các đường line rời rạc trong cùng 1 layer thành pline 
em đã đọc và có người đã viết. nhưng em đã tải về và dùng thử thì ko thành công 
này em mạo muội xin giúp đỡ từ các bác . giải giúp em với ạ 
em xin chân thành cảm ơn ạ


  • 0

#2 nhoclangbat

nhoclangbat

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1409 Bài viết
Điểm đánh giá: 379 (khá)

Đã gửi 04 November 2014 - 05:00 PM

- mún theo ý bạn, bạn phải up file mẫu chứ ^^, trước khi nối và sau khi nối nó sẽ như thế nào


  • 0
"...................][)e\/i][_ /\/\@Y CrY....................."

(defun THỔ_DÂN_HỌC_CAD (xxxx) ...) ^_^








#3 archuyhoang

archuyhoang

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 04 November 2014 - 07:22 PM

lip gốc đây ạ . 
nó cho phép nối các đường line rồi thành khép kín. 
các bác giúp em cho nó nối theo layer với ạ. 
em chân thành cảm ơn các bác


  • 0

#4 archuyhoang

archuyhoang

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 04 November 2014 - 07:31 PM

lihttp://www.cadviet.c..._nn_2.lsp<br>  trên đây là lisp gốc ạ


  • -1

#5 nhoclangbat

nhoclangbat

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1409 Bài viết
Điểm đánh giá: 379 (khá)

Đã gửi 04 November 2014 - 08:44 PM

 - ý nhoc là bạn up file .dwg mẫu ko phải up file lsp, bạn thấy lsp đó gần với ý mình thì cũng phải up file mẫu thì mọi người mới rõ bạn mún sữa thế nào ^^, file lsp bạn chịu khó nén nó lại rùi hãy up lên 4rum, up file lsp trực tiếp lên 4rum ko tải đc, do chức năng download của 4rum bị lỗi vài chỗ ^^


  • 0
"...................][)e\/i][_ /\/\@Y CrY....................."

(defun THỔ_DÂN_HỌC_CAD (xxxx) ...) ^_^








#6 archuyhoang

archuyhoang

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 05 November 2014 - 07:54 AM

đây là file cad em ví dụ ạ

em cũng mới biết về auto lip nên chưa có rành mấy

mong là các bác giúp cho nhà em với ạ. 

chân thành cảm ơn các báchttp://www.cadviet.c...71_drawing1.dwg


  • 0

#7 ndtnv

ndtnv

    biết lệnh minsert

  • Members
  • PipPipPipPipPipPip
  • 437 Bài viết
Điểm đánh giá: 384 (khá)

Đã gửi 05 November 2014 - 10:20 AM

Của bạn đây

(defun C:nn(/ f a)
    (setq f '((0 . "LINE,ARC,*POLYLINE")) a (getvar "PEDITACCEPT"))
    (setvar "PEDITACCEPT" 1)
    (if (setq e (car (entsel "Chon doi tuong loc layer: ")))
        (setq f (cons (assoc 8 (entget e)) f ))        )
    (vl-cmdf "PEDIT" "M" (ssget f) "" "J" "" "" )
    (setvar "PEDITACCEPT" a)
)

  • 0

#8 archuyhoang

archuyhoang

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 05 November 2014 - 11:35 AM

em cảm ơn bác
nhưng mà bác ợ

cái lip trước nó tự tìm đường line rồi để nối nhau ( chi r cần píc 1 lần vào 1 đường )

còn cái líp này phải kích chọn từng đường (hơi thủ công bác ạ)

bác check lại thử em xem có phải vậy ko ậ

 


  • 0

#9 ndtnv

ndtnv

    biết lệnh minsert

  • Members
  • PipPipPipPipPipPip
  • 437 Bài viết
Điểm đánh giá: 384 (khá)

Đã gửi 05 November 2014 - 01:59 PM

Pick lần đầu để chọn đối tượng lọc layer, sau đó chọn đối tượng để nối nhau bằng pick, window, fence hoặc đánh vào all để chọn tất cả.
Nếu muốn chọn tất cả luôn thì sửa chỗ:
(ssget "X" f)


  • 0

#10 archuyhoang

archuyhoang

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: -1 (bình thường)

Đã gửi 05 November 2014 - 03:38 PM

cảm ơn bác nhiều .

em đã hiểu bác ợ .


  • 0